=== modified file 'bzrlib/delta.py'
--- bzrlib/delta.py	2005-07-29 22:21:25 +0000
+++ bzrlib/delta.py	2005-08-01 20:25:24 +0000
@@ -197,6 +197,8 @@
                 delta.unchanged.append((new_inv.id2path(file_id), file_id, kind))
         else:
             kind = old_inv.get_file_kind(file_id)
+            if kind == 'root_directory':
+                continue
             old_path = old_inv.id2path(file_id)
             if specific_files:
                 if not is_inside_any(specific_files, old_path):
@@ -207,11 +209,13 @@
     for file_id in new_inv:
         if file_id in old_inv:
             continue
+        kind = new_inv.get_file_kind(file_id)
+        if kind == 'root_directory':
+            continue
         new_path = new_inv.id2path(file_id)
         if specific_files:
             if not is_inside_any(specific_files, new_path):
                 continue
-        kind = new_inv.get_file_kind(file_id)
         delta.added.append((new_path, file_id, kind))
             
     delta.removed.sort()

